package com.kafka.demo.consumer;

import lombok.extern.slf4j.Slf4j;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class KafkaConsumerListener {
    @KafkaListener(topics = "topic-1", groupId = "group_id")
    public void consumeKafkaMessage(String itemDetails){
       log.info("Received message from Kafka {}",itemDetails);
    }
}
